Bug 238239 - pilot-link-0.12.2 has a syntax error in pilot-link.m4
pilot-link-0.12.2 has a syntax error in pilot-link.m4
Product: Fedora
Classification: Fedora
Component: pilot-link (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Ivana Varekova
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-04-28 00:48 EDT by Matthew Barnes
Modified: 2008-02-08 04:43 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.12.2-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-08 04:43:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Barnes 2007-04-28 00:48:19 EDT
pilot-link-0.12.2 appears to have a syntax error in pilot-link.m4, which is
preventing client programs like Evolution from building.

A build log of Evolution shows the following error:
/usr/bin/m4:/usr/share/aclocal/pilot-link.m4:1: ERROR: end of file in string

The faulty line is:
                                      missing ])
Comment 1 Ivana Varekova 2007-04-30 07:52:35 EDT
Thanks. Fixed in pilot-link-0.12.2-2.fc7.
Comment 2 Todd Zullinger 2007-08-06 18:39:35 EDT
The package recently pushed to F7 is still broken.  Could you please apply the
patch from the devel branch which fixes this properly?  This problem was also
reported in bug #240327.

I didn't install pilot-link-devel manually, I believe it gets pulled in by other
things in a default install (when devel packages are requested anyway).  So this
update breaks totally unrelated code from building and will cause others to
waste a half hour or so wondering why their code is failing, only to find that
this was fixed in the upstream pilot-link CVS months ago, while the recent
update for F7 is still missing the proper fix (and which was reported and fixed
in rawhide 2 months ago).
Comment 3 Fedora Update System 2007-08-08 11:28:29 EDT
pilot-link-0.12.2-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-08-24 01:39:24 EDT
pilot-link-0.12.2-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Brian Morrison 2007-09-07 11:17:20 EDT
pilot-link-0.12.2-4.fc7 includes a file, 60-libpisock.rules, that is placed in
/usr/share/pilot-link/udev when it needs to be in /etc/udev/rules.d for udev to
find it.

In addition, the group in this file is 'dialout' which appears not to exist in a
default install, previous RH and Fedora versions have always had a 'uucp' group
which seems to have been used for similar serial-related programs, so it would
make sense to change this rules file and make the default group be 'uucp'. With
the file as it stands, udev outputs repeated warnings on boot about being unable
to find the 'dialout' group.

With a default installation it seems that any console.perms rules fail for
/dev/ttyUSB* (used by the visor module for usbserial ports), I had to add a rule
to /etc/security/console.perms.d/ to allow normal users read/write access to
these device nodes as the default ownership appears as root:disk with 660

Finally, many pilot programs expect to use /dev/pilot which is symlinked to the
active /dev/ttyUSB? port by udev. This is needed because there is no guarantee
which port will actually be allocated by the visor module when the Palm connects
(recent Palms also connect on attaching the USB cable, then disconnect and
reconnect on hotsyncing which makes the port selection more likely to change).

There is no udev rule file for this in the pilot-link package, so it needs one,
usually called pilot rules. Note that in the pilot-link docs the recommended
rule has an item NAME="ttyUSB%n" which causes udev to be unable to recognise the
attached device and create the symlink, it is necessary to remove this part of
the rule. The GROUP="usb" item is also in need of changing to GROUP="uucp" for
the same reason as above.

Finally, when trying to use libusb instead of usb-serial, even after
blacklisting the visor module and rmmoding it, using the usb: port address (to
force sync via libusb instead of the /dev/pilot port with the visor module) does
not appear to work, at least with a Palm TX. It is not clear where this problem
lies as pilot-link-0.12.2 contains a fix for this Palm that is not certain to work.
Comment 6 Todd Zullinger 2007-10-20 13:46:30 EDT
The pilot-link-0.12.2-4.fc7 package has disappeared from updates.  What's there
now is pilot-link-0.12.2-3.fc7.  Looking at bodhi, it seems that the older -3
package was pushed on 2007-09-18, almost a month after the -4 update had been


Luke, do you know how/why the older package got pushed over the newer release?
Comment 7 Luke Macken 2007-10-20 17:57:39 EDT
The updates repositories are composed based on the most recently tagged builds,
so if -3 was tagged after -4, it would get pulled in instead.

I've re-tagged pilot-link-0.12.2-4.fc7 and kicked off a mash of f7-updates, so
it should get pulled in soon.
Comment 8 Todd Zullinger 2007-10-20 18:06:21 EDT
Danke schön Luke.

Note You need to log in before you can comment on or make changes to this bug.